# Uses of Class
org.eclipse.swt.custom.CCombo

Packages that use CCombo
Package
Description
org.eclipse.jface.databinding.swt.typed
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.swt.custom
SWT Custom widgets.
org.eclipse.ui.views.properties.tabbed
Provides the Tabbed Properties framework.

## Uses of CCombo in org.eclipse.jface.databinding.swt.typed

Methods in org.eclipse.jface.databinding.swt.typed that return types with arguments of type CCombo
Modifier and Type
Method
Description
`static IWidgetValueProperty<CCombo,String>`
WidgetProperties.`ccomboSelection()`
Returns a value property for observing the selection state of a `CCombo`.

## Uses of CCombo in org.eclipse.jface.viewers

Methods in org.eclipse.jface.viewers that return CCombo
Modifier and Type
Method
Description
`CCombo`
ComboViewer.`getCCombo()`
Returns this list viewer's list control.
Constructors in org.eclipse.jface.viewers with parameters of type CCombo
Modifier
Constructor
Description
``
`ComboViewer(CCombo list)`
Creates a combo viewer on the given CCombo control.

## Uses of CCombo in org.eclipse.swt.custom

Methods in org.eclipse.swt.custom with parameters of type CCombo
Modifier and Type
Method
Description
`static void`
CCombo.`updateAndRefreshChildren(CCombo combo, Consumer<Widget> childUpdater)`
The method accepts a combo and a callback which takes all the child of the CCombo as the argument and executes it.

## Uses of CCombo in org.eclipse.ui.views.properties.tabbed

Methods in org.eclipse.ui.views.properties.tabbed that return CCombo
Modifier and Type
Method
Description
`CCombo`
TabbedPropertySheetWidgetFactory.`createCCombo(Composite parent)`
Creates a combo box as a part of the form.
`CCombo`
TabbedPropertySheetWidgetFactory.`createCCombo(Composite parent, int comboStyle)`
Creates a combo box as a part of the form.